| Home | Libraries | People | FAQ | More

##### pipeline_request::add_close_statement

Adds a close statement stage.

###### Synopsis

    pipeline_request&
    add_close_statement(
        statement stmt);

###### Description

Creates a stage that closes a prepared statement. The resulting stage has effects equivalent to `conn.close_statement(stmt)`.

###### Exception safety

Strong guarantee. Memory allocations may throw.

###### Preconditions

The passed statement should be valid (`stmt.valid() == true`).